﻿@page
@model CreateModel
@{
    ViewData["Title"] = "Create Session";
}

<div class="text-center">
    <h1 class="display-4">Create Session</h1>
</div>

<p class="text-start">
    <a asp-page="/Session/Index" class="btn btn-link">Back</a>
</p>

<form method="post">
    <div class="mb-3 row">
        <label asp-for="Form.SessionName" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.SessionName" class="form-control" />
            <span asp-validation-for="Form.SessionName" class="text-danger"></span>
        </div>
    </div>

    <div class="mb-3 row">
        <label asp-for="Form.SpeakerName" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.SpeakerName" class="form-control" />
            <span asp-validation-for="Form.SpeakerName" class="text-danger"></span>
        </div>
    </div>
    
    <div class="mb-3 row">
        <label asp-for="Form.StartTime" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.StartTime" type="datetime-local" class="form-control" />
            <span asp-validation-for="Form.StartTime"></span>
        </div>
    </div>

    <div class="mb-3 row">
        <label asp-for="Form.FinishTime" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.FinishTime" type="datetime-local" class="form-control" />
            <span asp-validation-for="Form.FinishTime"></span>
        </div>
    </div>

    <div class="d-grid gap-2 col">
        <button type="submit" class="btn btn-block btn-primary">
            Submit
        </button>
    </div>
</form>
